Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::DynamicCollisionLeaf Class Reference

動的コリジョンリーフ More...

`#include <DynamicCollisionLeaf.h>`

Inheritance diagram for Lamp::DynamicCollisionLeaf:

List of all members.

## Public Member Functions
virtual DynamicCollisionLeaf * | copyDynamicCollisionLeaf () const=0
| 動的コリジョンリーフのコピー
virtual bool | isDynamicCollisionLeaf () const
| 動的コリジョンリーフかどうか
## Protected Member Functions
| DynamicCollisionLeaf (const String &name, CollisionScene *scene)
| コンストラクタ
virtual | ~DynamicCollisionLeaf ()
| デストラクタ
virtual void | copyDynamicCollisionLeaf (DynamicCollisionLeaf *destination) const
| 動的コリジョンリーフの値コピー

## Detailed Description

動的コリジョンリーフ

Definition at line 36 of file DynamicCollisionLeaf.h.

## Constructor & Destructor Documentation

Lamp::DynamicCollisionLeaf::DynamicCollisionLeaf | ( | const String & | name,
|  | CollisionScene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 32 of file DynamicCollisionLeaf.cpp.

## Member Function Documentation

virtual void Lamp::DynamicCollisionLeaf::copyDynamicCollisionLeaf | ( | DynamicCollisionLeaf * | destination | ) | const`[inline, protected, virtual]`

  | 動的コリジョンリーフの値コピー Parameters:
  destination | コピー先動的コリジョンリーフ
Definition at line 79 of file DynamicCollisionLeaf.h. References Lamp::CollisionLeaf::copyCollisionLeafValue().

virtual DynamicCollisionLeaf* Lamp::DynamicCollisionLeaf::copyDynamicCollisionLeaf | ( |  | ) | const`[pure virtual]`

| 動的コリジョンリーフのコピー Returns: コピーされた動的コリジョンリーフ

virtual bool Lamp::DynamicCollisionLeaf::isDynamicCollisionLeaf | ( |  | ) | const`[inline, virtual]`

| 動的コリジョンリーフかどうか Returns: 動的コリジョンリーフならtrue Reimplemented from Lamp::CollisionObject. Definition at line 54 of file DynamicCollisionLeaf.h.

The documentation for this class was generated from the following files:

- DynamicCollisionLeaf.h
- DynamicCollisionLeaf.cpp